Improve this doc View source

# `pfFilterFields`
directive in module `patternfly.filters`

## Description

Directive for the filter bar's filter entry components

## Usage

as attribute

    <ANY pf-filter-fields
         config="{object}">
       ...
    </ANY>

#### Parameters

Param | Type | Details
--- | --- | ---
config | object | configuration settings for the filters: .fields - (Array) List of filterable fields containing: .id - (String) Optional unique Id for the filter field, useful for comparisons .title - (String) The title to display for the filter field .placeholder - (String) Text to display when no filter value has been entered .filterType - (String) The filter input field type (any html input type, or 'select' for a select box) .filterValues - (Array) List of valid select values used when filterType is 'select' .appliedFilters - (Array) List of the currently applied filters